Bug 389391 - GtkMozEmbed broken with Xulrunner
GtkMozEmbed broken with Xulrunner
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 09:42 EST by Erik van Pienbroek
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 09:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2007-11-18 09:42:15 EST
I've just installed the latest xulrunner package from koji (1.9-0.alpha9.5.fc9),
but the
compilation of my gtkmozembed based program fails due to a missing file:

$ pkg-config --libs xulrunner-gtkmozembed
-L/usr/lib/xulrunner-1.9a9pre -lxpcomglue_s -lxul -lxpcom -lplds4 -lplc4
-lnspr4 -lpthread -ldl  

$ find /usr/lib/xulrunner-1.9a9pre -name xpcomglue*
<no results>

The library xpcomglue_s doesn't exist yet in the xulrunner{,-devel}
package.
Comment 1 Martin Stransky 2007-11-19 07:50:52 EST
Try find /usr/lib64/xulrunner-1.9a9pre -iname *xpcomglue*
Comment 2 Erik van Pienbroek 2007-11-19 08:05:22 EST
I don't use a 64bit environment here, so the folder /usr/lib64 doesn't exist.
The command 'find /usr/lib/xulrunner-1.9a9pre -iname *xpcomglue*' doesn't return
any results
Comment 3 Martin Stransky 2007-11-19 09:31:18 EST
I see. I've removed all *.a from -devel package...
Comment 4 Martin Stransky 2007-11-19 09:59:57 EST
added libs to xulrunner-1.9-0.alpha9.6.fc9

Note You need to log in before you can comment on or make changes to this bug.